GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Fields
grpc_security_connector_vtable Struct Reference

`#include <security_connector.h>`

## Data Fields
void(* | destroy )(grpc_security_connector *sc)
grpc_security_status(* | create_handshaker )(grpc_security_connector *sc, tsi_handshaker **handshaker)
grpc_security_status(* | check_peer )(grpc_security_connector *sc, tsi_peer peer, grpc_security_check_cb cb, void *user_data)

## Field Documentation

grpc_security_status(* grpc_security_connector_vtable::check_peer)(grpc_security_connector *sc, tsi_peer peer, grpc_security_check_cb cb, void *user_data)

grpc_security_status(* grpc_security_connector_vtable::create_handshaker)(grpc_security_connector *sc, tsi_handshaker **handshaker)

void(* grpc_security_connector_vtable::destroy)(grpc_security_connector *sc)

The documentation for this struct was generated from the following file:

- src/core/security/security_connector.h